Product tours is in private alpha
Product Tours is currently in private alpha. Share your thoughts and we'll reach out with early access.
For instructions on how to authenticate to use this endpoint, see API overview.
Product Tours is currently in private alpha. Share your thoughts and we'll reach out with early access.
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
DELETE | |
PATCH | |
GET | |
POST | |
POST |
product_tour:readGET /api /projects /:project_id /product_toursexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/product_tours/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},).json()
{"count": 123,"next": "http://api.example.org/accounts/?offset=400&limit=100","previous": "http://api.example.org/accounts/?offset=200&limit=100","results": [{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","internal_targeting_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"targeting_flag_filters": {"property1": null,"property2": null},"content": null,"draft_content": null,"has_draft": true,"auto_launch": true,"start_date": "2019-08-24T14:15:22Z","end_date": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"updated_at": "2019-08-24T14:15:22Z","archived": true}]}
product_tour:writeappPOST /api /projects /:project_id /product_toursexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/\-d name="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/product_tours/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},data={"name": "string"}).json()
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","internal_targeting_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag_id": 0,"targeting_flag_filters": null,"content": null,"auto_launch": true,"start_date": "2019-08-24T14:15:22Z","end_date": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"updated_at": "2019-08-24T14:15:22Z","archived": true,"creation_context": "app"}
product_tour:readGET /api /projects /:project_id /product_tours /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","internal_targeting_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"targeting_flag_filters": {"property1": null,"property2": null},"content": null,"draft_content": null,"has_draft": true,"auto_launch": true,"start_date": "2019-08-24T14:15:22Z","end_date": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"updated_at": "2019-08-24T14:15:22Z","archived": true}
product_tour:writeappPATCH /api /projects /:project_id /product_tours /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/\-d name="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"name": "string"}).json()
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","internal_targeting_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag_id": 0,"targeting_flag_filters": null,"content": null,"auto_launch": true,"start_date": "2019-08-24T14:15:22Z","end_date": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"updated_at": "2019-08-24T14:15:22Z","archived": true,"creation_context": "app"}
product_tour:writeDELETE /api /projects /:project_id /product_tours /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},)
Discard draft content.
product_tour:writeDELETE /api /projects /:project_id /product_tours /:id /discard_draftexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/discard_draft/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/discard_draft/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},)
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","internal_targeting_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"targeting_flag_filters": {"property1": null,"property2": null},"content": null,"draft_content": null,"has_draft": true,"auto_launch": true,"start_date": "2019-08-24T14:15:22Z","end_date": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"updated_at": "2019-08-24T14:15:22Z","archived": true}
Save draft content (server-side merge). No side effects triggered.
product_tour:writeappPATCH /api /projects /:project_id /product_tours /:id /draftexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/draft/\-d name="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/draft/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"name": "string"}).json()
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","internal_targeting_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"targeting_flag_filters": {"property1": null,"property2": null},"content": null,"draft_content": null,"has_draft": true,"auto_launch": true,"start_date": "2019-08-24T14:15:22Z","end_date": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"updated_at": "2019-08-24T14:15:22Z","archived": true}
Lightweight polling endpoint for draft change detection.
product_tour:readGET /api /projects /:project_id /product_tours /:id /draft_statusexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/draft_status/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/draft_status/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
{"updated_at": "2019-08-24T14:15:22Z","has_draft": true}
Generate tour step content using AI.
product_tour:writePOST /api /projects /:project_id /product_tours /:id /generateexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/generate/\-d title="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/generate/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"title": "string"}).json()
{"steps": [{"step_id": "string","title": "string","description": "string"}]}
Commit draft to live tour. Runs full validation and triggers side effects.
Accepts an optional body payload. If provided, merges it into the draft before publishing so the caller can save + publish in a single request.
product_tour:writeappPOST /api /projects /:project_id /product_tours /:id /publish_draftexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/product_tours/:id/publish_draft/\-d name="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/product_tours/{product_tour_id}/publish_draft/".format(project_id=project_id,product_tour_id="<the product tour id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"name": "string"}).json()
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","description": "string","internal_targeting_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"linked_flag": {"id": 0,"team_id": 0,"name": "string","key": "string","filters": {"property1": null,"property2": null},"deleted": true,"active": true,"ensure_experience_continuity": true,"has_encrypted_payloads": true,"version": -2147483648,"evaluation_runtime": "server","bucketing_identifier": "distinct_id","evaluation_tags": ["string"],"evaluation_contexts": ["string"]},"targeting_flag_filters": {"property1": null,"property2": null},"content": null,"draft_content": null,"has_draft": true,"auto_launch": true,"start_date": "2019-08-24T14:15:22Z","end_date": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {"property1": null,"property2": null},"role_at_organization": "engineering"},"updated_at": "2019-08-24T14:15:22Z","archived": true}
Questions about this page? or post a community question.